/*
-02/22/2006: Petre M.
  -this file contains declarations of variables used in main.c
*/

#include "ADE7169F16.h"

#include "extern_declarations.h"

#include "power.h"
#include "i2c.h"
#include "EEPROM_locations.h"
#include "rtc.h"
#include "util.h"
#include "lcd.h"
//#include "ext_int.h"
#include "energy.h"
//#include "setjmp.h"
#include "uart.h"
#include "bin2bcd.h"







/*Low_Priority_Command[0]:
    0
     0
      0=This bit is set to 1 when at the end of a
        the month, at 0am, storage in the EEPROM of
        the energies is ordered.
       0=
        0=
         0=
          0=
           0=is set to 1 when the Alarm Interrupt is generated. It is cleared
             when all the Low Priority Tasks have been executed
*/
  char idata Low_Priority_Command[1];
  char idata LCD_Command[1];


/*Command_Status[0]:
    0
     0
      0
       0=
        0=it manages blinking of battery icon as long as its voltage stays
          below a threshold. When the voltage goes above another threshold,
          the icon is turned off permanently
         0=It manages visualization for 1 minute of a measurement different
           from the default one. Is set to 1 when the decision to visualize
           is taken and is cleared to 0 when 1 minute from the decision ends
          0=a display operation is in progress. When the transfer of
            LCD_buffer into LCD memory ends, this flag is cleared.
           0=this bit is set to 1 when the backup is executed the first time.
             In this way, we avoid executing the backup operation more than
             one time because IPSMF_bit.FVDC is set to 1 many times when the
             voltage goes down
*/
  char idata Command_Status[1];

/*The state of the Energy Meter is composed of:
  Active_Energy
  Reactive Energy
  Apparent Energy
*/
  struct Five_Bytes_struct idata Reactive_Energy, Apparent_Energy;

//this byte contains errors that may have verified during the execution of the program
/*xxxx
      x
       x
        x=If an EEPROM Read operation went longer than a certain
          timeout, then this bit is set to 1.
         x=If an EEPROM Write operation went longer than a certain
           timeout, then this bit is set to 1.
*/
  unsigned char idata Meter_Errors[1];

//Temporary is a buffer that can be used inside of any function.

  char data Temporary[8], Temporary1[8];

//Temporary_ISR[3] is a buffer that can only be used inside an interrupt
  char idata Temporary_ISR[3];

  signed char idata LP_Task;








