/*
-08/15/2006: Petre M.
  -this file contains declarations of functions and variables used in UART communication

*/

//this buffer is used to store the message received from PC and then to store
//the message that will be sent back to the PC
  unsigned char idata UART_Rx[11];
  idata unsigned char idata *UART_ptr;
  void (* idata UART_func_ptr)(void);

  void Setup_UART(void);
  void Manage_UART_Rx(void);
  void IRAM_read(void);
  void IRAM_write(void);
  void ADE_reg_read(void);
  void ADE_reg_write(void);
  void INTPR_read(void);
  void INTPR_write(void);
  void RTCCOMP_read(void);
  void RTCCOMP_write(void);
  void TEMPCAL_read(void);
  void TEMPCAL_write(void);
  void VRMS_read(void);
  void IRMS_read(void);
  void Time_read(void);
  void Time_write(void);
  void EEPROM_read(void);
  void EEPROM_write(void);

  void End_message_bytes(char a, char b, char c, char d);

//table in flash memory containing the functions that manage the protocol commands
  int const code Table_UART[]={ (int) IRAM_read, (int) IRAM_write,(int)ADE_reg_read,
                                 (int)ADE_reg_write,(int)INTPR_read, (int)INTPR_write,
                                 (int)RTCCOMP_read, (int)RTCCOMP_write, (int)TEMPCAL_read,
                                 (int)TEMPCAL_write,(int)VRMS_read, (int)IRMS_read,
                                 (int) Time_read, (int) Time_write,(int) EEPROM_read,
                                 (int) EEPROM_write};

