
#line 1 "uart.c" /0




 
  
#line 1 "C:\KEIL\C51\INC\ADI\ADE7169F16.H" /0









 
 






 
 
 


 
 
 sfr SPI2CTx   = 0x9A;
 sfr SPI2CRx   = 0x9B;
 sfr SPIMOD1   = 0xE8;
 sfr SPIMOD2   = 0xE9;
 sfr SPISTAT   = 0xEA;
 


 
 
 sfr I2CMOD    = 0xE8;
 sfr I2CADR    = 0xE9;
 sfr I2CSTAT   = 0xEA;
 


 
 
 sfr TIMECON   = 0xA1;
 sfr HTHSEC    = 0xA2;
 sfr SEC       = 0xA3;
 sfr MIN       = 0xA4;
 sfr HOUR      = 0xA5;
 sfr INTVAL    = 0xA6;
 sfr RTCCOMP   = 0xF6;
 sfr TEMPCAL   = 0xF7;
 


 
 
 sfr LCDCON    = 0x95;
 sfr LCDCLK    = 0x96;
 sfr LCDSEGE   = 0x97;
 sfr LCDCONX   = 0x9C;
 sfr LCDPTR    = 0xAC;
 sfr LCDDAT    = 0xAE;
 sfr LCDCONY   = 0xB1;
 sfr LCDSEGE2  = 0xED;
 


 
 
 sfr MADDPT    = 0x91;
 sfr MDATL     = 0x92;
 sfr MDATM     = 0x93;
 sfr MDATH     = 0x94;
 sfr VRMSL     = 0xD1;
 sfr VRMSM     = 0xD2;
 sfr VRMSH     = 0xD3;
 sfr IRMSL     = 0xD4;
 sfr IRMSM     = 0xD5;
 sfr IRMSH     = 0xD6;
 sfr MIRQENL   = 0xD9;
 sfr MIRQENM   = 0xDA;
 sfr MIRQENH   = 0xDB;
 sfr MIRQSTL   = 0xDC;
 sfr MIRQSTM   = 0xDD;
 sfr MIRQSTH   = 0xDE;
 sfr WAV1L     = 0xE2;
 sfr WAV1M     = 0xE3;
 sfr WAV1H     = 0xE4;
 sfr WAV2L     = 0xE5;
 sfr WAV2M     = 0xE6;
 sfr WAV2H     = 0xE7;
 
 


 
 
 sfr SCON      = 0x98;
 sfr SBUF      = 0x99;
 sfr SBAUDF    = 0x9D;
 sfr SBAUDT    = 0x9E;
 


 
 
 sfr IE        = 0xA8;
 sfr IEIP2     = 0xA9;
 sfr IP        = 0xB8;
 sfr WDCON     = 0xC0;
 


 
 
 sfr TEMPADC   = 0xD7;
 sfr ADCGO     = 0xD8;
 sfr BATADC    = 0xDF;
 sfr VSWADC    = 0xEF;
 sfr DIFFPROG  = 0xF3;
 sfr STRBPER   = 0xF9;
 sfr BATVTH    = 0xFA;
 


 
 
 sfr P0        = 0x80;  
 sfr P1        = 0x90;
 sfr EPCFG     = 0x9F;
 sfr P2        = 0xA0;
 sfr PINMAP0   = 0xB2;
 sfr PINMAP1   = 0xB3;
 sfr PINMAP2   = 0xB4;
 


 
 sfr PCON      = 0x87;
 sfr DPCON     = 0xA7;
 sfr CFG       = 0xAF;
 


 
 
 sfr TCON      = 0x88;
 sfr TMOD      = 0x89;
 sfr TL0       = 0x8A;
 sfr TL1       = 0x8B;
 sfr TH0       = 0x8C;
 sfr TH1       = 0x8D;
 sfr T2CON     = 0xC8;
 sfr RCAP2L    = 0xCA;
 sfr RCAP2H    = 0xCB;
 sfr TL2       = 0xCC;
 sfr TH2       = 0xCD;
 


 
 
 sfr ECON      = 0xB9;
 sfr FLSHKY    = 0xBA;
 sfr PROTKY    = 0xBB;
 sfr EDATA_    = 0xBC;
 sfr PROTB0    = 0xBD;
 sfr PROTB1    = 0xBE;
 sfr PROTR     = 0xBF;
 sfr EADRL     = 0xC6;
 sfr EADRH     = 0xC7;
 


 
 
 sfr KYREG     = 0xC1;
 sfr POWCON    = 0xC5;
 sfr IPSME     = 0xEC;
 sfr PERIPH    = 0xF4;
 sfr BATPR     = 0xF5;
 sfr IPSMF     = 0xF8;
 sfr SCRATCH1  = 0xFB;
 sfr SCRATCH2  = 0xFC;
 sfr SCRATCH3  = 0xFD;
 sfr SCRATCH4  = 0xFE;
 sfr INTPR     = 0xFF;
 


 
 
 sbit INT1     = 0x80;
 sbit CF1	    = 0x82;
 sbit CF2	    = 0x83;
 sbit T0	      = 0x86;
 sbit T1	      = 0x87;
 
 
 sbit IT0	    = 0x88;
 sbit IE0	    = 0x89;
 sbit IT1	    = 0x8A;
 sbit IE1	    = 0x8B;
 sbit TR0	    = 0x8C;
 sbit TF0	    = 0x8D;
 sbit TR1	    = 0x8E;
 sbit TF1	    = 0x8F;
 
 
 sbit RXD	    = 0x90;
 sbit TXD	    = 0x91;
 sbit T2EX     = 0x93;
 sbit T2       = 0x94;
 
 
 sbit RI	      = 0x98;
 sbit TI	      = 0x99;
 sbit RB8	    = 0x9A;
 sbit TB8	    = 0x9B;
 sbit REN	    = 0x9C;
 sbit SM2	    = 0x9D;
 sbit SM1	    = 0x9E;
 sbit SM0	    = 0x9F;
 
 
 sbit EX0	    = 0xA8;
 sbit ET0	    = 0xA9;
 sbit EX1	    = 0xAA;
 sbit ET1	    = 0xAB;
 sbit ES	      = 0xAC;
 sbit ET2	    = 0xAD;
 sbit ETEMP	  = 0xAE;
 sbit EA	      = 0xAF;
 
 
 sbit PX0	    = 0xB8;
 sbit PT0	    = 0xB9;
 sbit PX1	    = 0xBA;
 sbit PT1	    = 0xBB;
 sbit PS	      = 0xBC;
 sbit PT2	    = 0xBD;
 sbit PTEMP	  = 0xBE;
 sbit PADE	    = 0xBF;
 
 
 sbit WDWR	    = 0xC0;
 sbit WDE	    = 0xC1;
 sbit WDS	    = 0xC2;
 sbit WDIR	    = 0xC3;
 sbit PRE0	    = 0xC4;
 sbit PRE1	    = 0xC5;
 sbit PRE2	    = 0xC6;
 sbit PRE3	    = 0xC7;
 
 
 sbit CAP2	    = 0xC8;
 sbit CNT2	    = 0xC9;
 sbit TR2	    = 0xCA;
 sbit EXEN2	  = 0xCB;
 sbit TCLK	    = 0xCC;
 sbit RCLK	    = 0xCD;
 sbit EXF2	    = 0xCE;
 sbit TF2	    = 0xCF;
 
 
 sbit F1	      = 0xD1;
 sbit CY	      = 0xD7;
 
 
 
 sbit BTADC	  = 0xD8;
 sbit TADC	    = 0xD9;
 sbit VADC	    = 0xDA;
 sbit PLLACK   = 0xDF;
 
 
 sbit SPIR0	  = 0xE8;
 sbit SPIR1	  = 0xE9;
 sbit RXOFW	  = 0xEA;
 sbit SSE	    = 0xEB;
 sbit AUTO_SS	= 0xEC;
 sbit INTMOD   = 0xED;
 
 
 sbit I2CRCT0	= 0xE8;
 sbit I2CRCT1	= 0xE9;
 sbit I2CRCT2	= 0xEA;
 sbit I2CRCT3	= 0xEB;
 sbit I2CRCT4	= 0xEC;
 sbit I2CR0	  = 0xED;
 sbit I2CR1	  = 0xEE;
 sbit I2CEN	  = 0xEF;
 
 
 sbit FVDC	    = 0xF8;
 sbit FBSO	    = 0xF9;
 sbit FBAT	    = 0xFA;
 sbit FVSW	    = 0xFB;
 sbit FSAG	    = 0xFD;
 sbit FPSM	    = 0xFE;
 sbit FPSR	    = 0xFF;
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
#line 6 "uart.c" /0
 
  
#line 1 "extern_declarations.h" /0




 
 
  
#line 1 "structures.h" /0



 
 
 
 
 
 struct Date_struct {
 char Weekday;  
 char Year; 
 char Day; 
 char Month;  
 };
 
 
 struct Three_Bytes_struct {
 unsigned char L;
 unsigned char M;
 unsigned char H;
 };
 
 
 struct Five_Bytes_struct {
 unsigned char B0;
 unsigned char B1;
 unsigned char B2;
 unsigned char B3;
 unsigned char B4;
 
 };
 
 
 
#line 7 "extern_declarations.h" /0
 
  
#line 1 "system_def.h" /0



 
 
 
 
 
 
 
 
 
 
 
#line 15 "system_def.h" /1
  
 
#line 17 "system_def.h" /0
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
#line 8 "extern_declarations.h" /0
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 extern char const code Project_Name[16];
 extern char const code Project_Vers[16];
 extern char const code Project_Date[12];
 extern char const code Project_Time[9];
 extern char const code Project_Misc[11];
 
 
 extern struct Date_struct idata Date;
 extern struct Five_Bytes_struct data Active_Energy;
 
 extern int idata I_1A_threshold;
 extern int idata V_1V_threshold;
 
 
 extern char idata Low_Priority_Command[1];
 extern char idata LCD_Command[1];
 extern char idata Command_Status[1];
 
 extern char idata N;
 extern int idata X;
 extern idata unsigned char idata  *I2C_ptr;
 extern char idata I2C_Status;
 extern struct Five_Bytes_struct idata Reactive_Energy, Apparent_Energy;
 extern char idata LCD_buffer[15];
 extern char const code Digit_Table[10];
 
 
 extern char const code Months[12];
 extern unsigned char idata Meter_Errors[1];
 
 
 extern unsigned char idata Fault_Days;
 extern char idata LCD_Digits[9];
 extern unsigned char idata CF2_Frac, New_CF2_Counter;
 
 extern char data Temporary[8], Temporary1[8];
 
 extern char const code Default_Ac_Energy[5];
 extern char const code Default_Re_Energy[5];
 extern char const code Default_Ap_Energy[5];
 extern char const code Default_Date[4];
 extern unsigned char const code Default_Fault_Days;
 
 extern unsigned char idata UART_Rx[11];
 extern idata unsigned char idata *UART_ptr;
 extern void (* idata UART_func_ptr)(void);
 extern int const code Table_UART[];
 extern int const code Table_LCD[5];
 extern signed char idata LP_Task;
 extern int const code Table_LP_Func[8];
 
 extern char idata Temporary_ISR[3];
 
 extern void I2C_Do_nothing(void);
 extern void Rx_CTRL_byte(void);
 extern void Rx_byte(void);
 extern void Tx_page(char Nr_Bytes, int EEPROM_address,unsigned char idata  *Pointer);
 extern void Tx_CTRL_byte(char Nr_Bytes, int EEPROM_address,unsigned char idata  *Pointer);
 extern void Tx_byte(char Nr_Bytes, int EEPROM_address,unsigned char idata  *Pointer);
 extern void Tx_page2(void);
 extern void Setup_LCD(void);
 
 extern void Setup_LCD_PSM1(void);
 extern void Display_to_LCD(void);
 extern void Irms_threshold_read(void);
 extern void Vrms_threshold_read(void);
 
 extern void Blink_LCD(char BLKFREQ);
 extern void Setup_Watchdog(char PRE);
 extern void Refresh_Watchdog(void);
 extern void Clear_flag(char NBit, char idata  *iram_ptr);
 extern void Clear_2_flags(char NBit_1, char idata  *iram_ptr1,char NBit_2,
 char idata  *iram_ptr2 );
 extern void Set_flag(char Bit, char idata  *iram_ptr);
 
 extern void Manage_Numbers(char Nr_Fract_Digits);
 extern void Manage_Time(void);
 extern void Manage_Display(void);
 extern void Decide_LCD_command(void);
 extern void Setup_Ext_Int(void);
 extern void INT0_Interrupt(void);
 extern void Manage_LCD_commands(void);
 extern void Active_Energy_Display(void);
 extern void IRMS_Display(void);
 extern void VRMS_Display(void);
 extern void Date_Display(void);
 extern void Display_Time_Date(char idata *iram_ptr1);
 
 extern void Store_time(char idata *ptr);
 extern void Calendar_write(void);
 extern void Calendar_read(void);
 extern void ADE_Interrupt(void);
 extern void Reload_Energy(void);
 extern void Setup_Energy(void);
 extern void Accumulate_Energy(void);
 extern void Reload_from_EEPROM(void);
 extern void Active_Energy_read(void);
 extern void Active_Energy_write(void);
 extern void Tx_High_Importance(char Nr_Bytes, int EEPROM_address,unsigned char idata  *Pointer);
 extern void Tx_Low_Importance(char Nr_Bytes, int EEPROM_address,unsigned char idata  *Pointer);
 extern void Disable_Watchdog(void);
 extern void Meter_Calibration(void);
 extern void Write_ADE_SFR(char ByteM, char ByteL, char Register);
 extern void Read_ADE_SFR(unsigned char idata *Pointer, char Register);
 
 extern void End_message_bytes(char a, char b, char c, char d);
 extern void End_Low_Priority_Tasks(void);
 
 extern void Bin2bcd(void);
 extern void Display_Number(char Nr_Fract_Digits, unsigned int unit_ratio);
 extern void Comp_Nibbles(void);
 extern void Comp_Nibbles2(char data *, char data *);
 extern void mult24x16(void);
 
 extern void Wait_loop(void);
 
 extern void Disable_Pull_Ups(void);
 extern void Enable_Pull_Ups(void);
 extern void Monthly_Energy_Storage(void);
 extern void Midnight_Management(void);
 extern void Battery_Alarm(void);
 extern void Setup_Power_PSM0(void);
 
 
 
#line 7 "uart.c" /0
 
  
#line 1 "EEPROM_locations.h" /0





 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
#line 8 "uart.c" /0
 
 
 
#line 11 "uart.c" /1
 







 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
#line 84 "uart.c" /0
 void IRAM_read(void) {
 char idata *iram_ptr;
 char a;
 
 iram_ptr = (char idata *) UART_Rx[4];
 a = *iram_ptr;
 
 End_message_bytes(a, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void IRAM_write(void) {
 char idata *iram_ptr;
 iram_ptr = (char idata *) UART_Rx[4];
 *iram_ptr = UART_Rx[0];
 
 End_message_bytes(0x55, 0xaa, 0x55, 0xaa);
 return;
 }
 
 
 
 void ADE_reg_read(void) {
 
 Read_ADE_SFR(&UART_Rx[7], UART_Rx[4]);
 
 UART_Rx[10] = 0xaa;
 return;
 }
 
 
 
 void ADE_reg_write(void) {
 
 Write_ADE_SFR(UART_Rx[1], UART_Rx[0], UART_Rx[4]);
 
 End_message_bytes(0x55, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void INTPR_read(void) {
 char a;
 a = INTPR;
 
 End_message_bytes(a, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void INTPR_write(void) {
 
 INTPR = UART_Rx[0];
 
 End_message_bytes(0x55, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void RTCCOMP_read(void) {
 char a;
 a = RTCCOMP;
 
 End_message_bytes(a, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void RTCCOMP_write(void) {
 RTCCOMP = UART_Rx[0];
 
 End_message_bytes(0x55, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 
 void TEMPCAL_read(void) {
 char a;
 a = TEMPCAL;
 
 End_message_bytes(a, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void TEMPCAL_write(void) {
 TEMPCAL = UART_Rx[0];
 
 End_message_bytes(0x55, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 void VRMS_read(void) {
 char a,b,c;
 
 c = VRMSH;
 b = VRMSM;
 a = VRMSL;
 End_message_bytes(a, b, c, 0xaa);
 
 return;
 }
 
 
 void IRMS_read(void) {
 char a,b,c;
 
 c = IRMSH;
 b = IRMSM;
 a = IRMSL;
 End_message_bytes(a, b, c, 0xaa);
 
 return;
 }
 
 void Time_read(void) {
 
 Store_time((char idata *)&UART_Rx[7]);
 return;
 }
 
 
 
 
 
 void Time_write2(unsigned char Key) {
 
 KYREG = Key;
 HTHSEC = UART_Rx[0];
 
 KYREG = Key;
 SEC = UART_Rx[1];
 
 KYREG = Key;
 MIN = UART_Rx[2];
 
 KYREG = Key;
 HOUR = UART_Rx[3];
 
 if (HTHSEC!=UART_Rx[0]) {
 KYREG = Key;
 HTHSEC = UART_Rx[0];
 
 KYREG = Key;
 SEC = UART_Rx[1];
 
 KYREG = Key;
 MIN = UART_Rx[2];
 
 KYREG = Key;
 HOUR = UART_Rx[3];
 }
 return;
 }
 
 
 
 void Time_write(void) {
 
 Time_write2(0xea);
 
 End_message_bytes(0x55, 0xaa, 0x55, 0xaa);
 
 return;
 }
 
 
 void EEPROM_read(void) {
 int idata * iram_ptr;
 
 
 
 Temporary[0] = UART_Rx[5];
 Temporary[1] = UART_Rx[4];
 
 iram_ptr = (int idata *)&Temporary[0];
 
 Tx_CTRL_byte(1, *iram_ptr,(unsigned char idata  *)&UART_Rx[7]);
 
 UART_Rx[8] = 0xaa;
 UART_Rx[9] = 0x55;
 UART_Rx[10]= 0xaa;
 
 return;
 }
 
 
 
 void EEPROM_write(void) {
 int idata * iram_ptr;
 
 
 
 Temporary[0] = UART_Rx[5];
 Temporary[1] = UART_Rx[4];
 
 iram_ptr = (int idata *)&Temporary[0];
 
 Tx_byte(1, *iram_ptr, (unsigned char idata  *)&UART_Rx[0]);
 
 Tx_CTRL_byte(1, *iram_ptr,(unsigned char idata  *)&UART_Rx[7]);
 
 UART_Rx[8] = 0xaa;
 UART_Rx[9] = 0x55;
 UART_Rx[10]= 0xaa;
 return;
 }
 
 
 void End_message_bytes(char a, char b, char c, char d) {
 
 UART_Rx[7]=a;
 UART_Rx[8]=b;
 UART_Rx[9]=c;
 UART_Rx[10] = d;
 return;
 }
 
