/*
-4/20/2006: Petre M.
  -this file contains definitions that characterize the energy meter
*/

//this is the larger display
#define GOWORLD_LCD
#define LCD_5V

//this is the number of digits the LCD contains
#define LCD_digits_number 7

//this is the smaller display
#ifndef GOWORLD_LCD
  #define OCULAR_LCD
#endif

//when VBAT=BATADC becomes lower than BATVTH=Battery_Low, then a PSM interrupt is generated
//2.2V/0.015=0x92
#define Battery_Low 0x92

//when VBAT=BATADC becomes greater than Battery_Low2, then the alarm triggered
//when VBAT was lower than BATVTH ends. Battery_Low2 should be greater than Battery_Low to
//allow a margin of error in readings
//3V/0.015=0xc8
#define Battery_Low2 0xc8

//CF1DEN=7596*10^7/U_FS/I_FS/MC=7596*10^7/500/100/3200=475.75=475=0x1db
#define CF1DEN_valueL 0xdb
#define CF1DEN_valueM 0x01

//this is the Meter Constant[imp/kwh]
#define MC 3200

//limit_counter=MC/100 is used in counting the CF pulses
#define limit_counter 32



